<template>
  <div class="mr-2 bk-8-balance-info">
    <ul class="flex items-center pr-2">
      <li class="pl-1">
        <div
          class="flex pr-1 pl-[.125rem] items-center rounded-[.625rem] fc-text4"
        >
          <figure
            class="flex items-center justify-center w-[13px] h-[9px] mr-[5.6px]"
          >
            <font-awesome-icon
              v-if="isShowBalance && !isSuspended"
              @click="isShowBalance = !isShowBalance"
              icon="eye"
              class=" --text4 cursor-pointer "
            />
            <font-awesome-icon
              v-else
              @click="isShowBalance = !isShowBalance"
              icon="eye-slash"
              class=" --text4 cursor-pointer"
            />
          </figure>
          <p class="flex items-center --text4 font-[500]">
            <span>{{ currency }}</span>
            <span v-if="isShowBalance && !isSuspended" class="ml-1">{{
              balanceUser
            }}</span>
          </p>
        </div>
      </li>
      <li class="px-1 fc-text4">
        <icons
          v-if="!isSuspended"
          @click="getBalance"
          :is-refresh="true"
          :class="{ 'fa-spin': isLoading }"
        />
        <font-awesome-icon v-else icon="lock" />
      </li>
    </ul>
  </div>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";

export default defineComponent({
  props: {
    isSuspended: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const isShowBalance = ref(false);
    const { isLoading, balanceUser, getBalance, currency, wallets } =
      useBalanceInfo();
    onMounted(() => getBalance());
    return {
      isLoading,
      balanceUser,
      getBalance,
      currency,
      wallets,
      isShowBalance,
    };
  },
});
</script>
